Skip to main content
GET
/
v1
/
voices
curl "https://api.telzino.com/v1/voices" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "79a125e8-cd45-4c13-8a67-188112f4dd22",
      "name": "British Lady",
      "description": "British Female",
      "provider": "cartesia",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_British_Lady.mp3"
    },
    {
      "id": "63ff761f-c1e8-414b-b969-d1833d1c870c",
      "name": "Confident British Man",
      "description": "British Male",
      "provider": "cartesia",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_Confident_British_Man.mp3"
    },
    {
      "id": "English_radiant_girl",
      "name": "Radiant (Standard)",
      "description": "Energetic Female",
      "provider": "minimax",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_English_radiant_girl.mp3"
    },
    {
      "id": "Calm_Woman",
      "name": "Professional (Calm)",
      "description": "Mature Female",
      "provider": "minimax",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_Calm_Woman.mp3"
    }
  ]
}
Use this endpoint to discover available voice IDs for the voiceSettings.voice_id field when creating or updating agents.
curl "https://api.telzino.com/v1/voices" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "79a125e8-cd45-4c13-8a67-188112f4dd22",
      "name": "British Lady",
      "description": "British Female",
      "provider": "cartesia",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_British_Lady.mp3"
    },
    {
      "id": "63ff761f-c1e8-414b-b969-d1833d1c870c",
      "name": "Confident British Man",
      "description": "British Male",
      "provider": "cartesia",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_Confident_British_Man.mp3"
    },
    {
      "id": "English_radiant_girl",
      "name": "Radiant (Standard)",
      "description": "Energetic Female",
      "provider": "minimax",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_English_radiant_girl.mp3"
    },
    {
      "id": "Calm_Woman",
      "name": "Professional (Calm)",
      "description": "Mature Female",
      "provider": "minimax",
      "previewUrl": "https://telimatic-audio-samples-use1.s3.us-east-1.amazonaws.com/voice_previews/preview_Calm_Woman.mp3"
    }
  ]
}

Voice Object Fields

FieldTypeDescription
idstringVoice identifier — use this as the voice_id in voiceSettings when creating or updating agents
namestringDisplay name of the voice
descriptionstringBrief description (e.g., “American Female”, “British Male”)
providerstringVoice provider: cartesia or minimax
previewUrlstringURL to an audio preview of the voice (optional)
Use the voice id as the voice_id inside the voiceSettings object when creating or updating agents:
{
  "voiceSettings": {
    "voice_id": "j5lwMohPvHJrfAM74bfG",
    "speed": 1.0,
    "model": "sonic-2024-10-19"
  }
}